Bug 500283 - Review Request: perl-Catalyst-View-Email - Send Email from Catalyst
Review Request: perl-Catalyst-View-Email - Send Email from Catalyst
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
http://search.cpan.org/dist/Catalyst-...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-12 00:50 EDT by Iain Arnell
Modified: 2009-06-02 10:21 EDT (History)
3 users (show)

See Also:
Fixed In Version: 0.13-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-02 10:21:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Iain Arnell 2009-05-12 00:50:29 EDT
Spec URL: http://fedorapeople.org/~iarnell/review/perl-Catalyst-View-Email.spec
SRPM URL: http://fedorapeople.org/~iarnell/review/perl-Catalyst-View-Email-0.13-1.fc12.src.rpm

Description:
This module sends out emails from a stash key specified in the configuration
settings.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1349547

*rt-0.09
Comment 1 Parag AN(पराग) 2009-05-12 01:11:20 EDT
Review:
+ package builds in mock (rawhide i586).
koji Build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1349547
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
b9c7476bd69fd4dd4426f4146ea01748b86739c7  Catalyst-View-Email-0.13.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=6, Tests=44,  2 wallclock secs ( 0.04 usr  0.01 sys +  1.80 cusr  0.15 csys =  2.00 CPU)
+ Package  perl-Catalyst-View-Email-0.13-1.fc12.noarch =>
  Provides: perl(Catalyst::Helper::View::Email) perl(Catalyst::Helper::View::Email::Template) perl(Catalyst::View::Email) = 0.13 perl(Catalyst::View::Email::Template) = 0.13
Requires: perl(Carp) perl(Class::C3) perl(Email::MIME::Creator) perl(Email::Send) perl(Encode) perl(Scalar::Util) perl(base) perl(parent) perl(strict) perl(warnings)
+ Not a GUI application

APPROVED.
Comment 2 Iain Arnell 2009-05-12 12:06:01 EDT
New Package CVS Request
=======================
Package Name: perl-Catalyst-View-Email
Short Description: Send Email from Catalyst
Owners: iarnell
Branches: F-10 F-11
InitialCC: perl-sig
Comment 3 Kevin Fenzi 2009-05-13 00:58:16 EDT
cvs done.
Comment 4 Iain Arnell 2009-05-13 11:08:46 EDT
built in rawhide - wait for perl-Catalyst-View-Mason on branches
Comment 5 Fedora Update System 2009-05-22 03:03:26 EDT
perl-Catalyst-View-Email-0.13-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-Catalyst-View-Email-0.13-1.fc11
Comment 6 Fedora Update System 2009-05-25 17:21:55 EDT
perl-Catalyst-View-Email-0.13-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Catalyst-View-Email'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-5470
Comment 7 Fedora Update System 2009-06-02 10:21:07 EDT
perl-Catalyst-View-Email-0.13-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.